include pug-variables/_vars
include pug-mixins/_mixins
include helpers/_debug
//-
include grid/_doctype
head
	title Чат 3_3
	include grid/_inc_meta
	include grid/_inc_head
body
	//- svg
	include svg/_svg-sprites
	//-
	//-----------
	//- START CONTENT
	//-----------
	.root
		include components/NavStart 
		include components/StartSecondScreen
	//- /CONTENT
	//-----------
	//chat modal
	#chat1.modal.fade(data-bs-backdrop='static' data-bs-keyboard='false' tabindex='-1' aria-labelledby='chat1Label' aria-hidden='true')
		.modal-dialog.modal-dialog-centered
			//-.modal-content
				.modal-header
					h5.modal-title#chat1Label Modal title
					button.btn-close(type='button' data-bs-dismiss='modal' aria-label='Close')
				.modal-body
					h1 title
				.modal-footer
					button.btn.btn-secondary(type='button' data-bs-dismiss='modal') Close
					button.btn.btn-primary(type='button') Understood
			.chat
				.chat__header
					.title Создайте своего персонажа
					.desc Выполненно ответов
					button.chat__header-close(type='button' data-bs-dismiss='modal' aria-label='Close')
						svg(width="19" height="19")
							use(xlink:href='#cross')
				.chat__body
					// steps
					.steps
						.step.active
						.step.active
						.step
						.step
					// chat-window
					.chat__window
						.chat__dialog
							.message
								.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span Как тебя зовут?
									.message__text-date
										span
											span Бот
											|&nbsp;в&nbsp;
											span 19:27
							.message.mod-right
								//-.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span Меня зовут: Андрей
									.message__text-date
										span
											span Вы
											|&nbsp;в&nbsp;
											span 19:30
							.message
								.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span Какие у тебя увлечения?
									.message__text-date
										span
											span Бот
											|&nbsp;в&nbsp;
											span 19:32
							.message.mod-right
								//-.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span Яжпрограммист
									.message__text-date
										span
											span Вы
											|&nbsp;в&nbsp;
											span 19:34
							.message
								.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span Сделай фото, чтобы было видно твое лицо
									.message__text-date
										span
											span Бот
											|&nbsp;в&nbsp;
											span 19:36
							.message.mod-right
								//-.message__ava
									img(srcset="img/chat/robot-ava.png 1x, img/chat/robot-ava@2x.png 2x", alt="Robot")
								.message__text
									span.mod-photo
										svg(width="24" height="22")
											use(xlink:href='#photo')
										|&nbsp;МоеФото.jpg
									.message__text-date
										span
											span Вы
											|&nbsp;в&nbsp;
											span 19:40
				.chat__footer
					.chat__sendbox
						.chat__sendbox-upload
							label(for="upload")
								input#upload(type="file")
								.text-block
									strong Загрузите ваше фото
									span Форматы: jpg,png
									svg(width="16" height="16")
										use(xlink:href='#cross')
						.chat__sendbox-send
							button.send-btn(type="button" role="button")
								svg(width="21" height="21")
									use(xlink:href='#send')
	//-----------
	//- scripts
	include grid/_inc_scripts
	//-script.
		var images = ['4_0000.png', '4_0001.png', '4_0002.png', '4_0003.png', '4_00014.png', '4_0005.png', '4_0006.png', '4_0007.png'],
			index = 0, // starting index
			//maxImages = images.length - 1;
			maxImages = 90 - 1;
		var timer = setInterval(function() {
			var currentImage = images[index];
			index = (index == maxImages) ? 0 : ++index;
			$('#animation img').removeClass('active');
			$('#animation img:nth-of-type(' + index + ')').addClass('active');
		}, 300);
	//- anik.pro
</html>